cURL
curl --request PUT \ --url https://api.zudu.ai/api/calls/{callId} \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --header 'X-API-SECRET: <api-key>' \ --data ' { "call_status": "ONGOING", "direction": "OUTBOUND", "from_number": "+1111111111", "metadata": { "updated_field": "new_value" } } '
{ "message": "Call updated successfully", "status": "success", "error": null, "data": { "operation": "update", "organization_id": "org-789", "call": { "id": "550e8400-e29b-41d4-a716-446655440000", "agent_id": "agent-123", "call_id": "call-456", "organization_id": "org-789", "call_status": "ongoing", "call_type": "phone_call", "direction": "outbound", "from_number": "+1111111111", "transcript_object": [], "transcript_with_tool_calls": [], "events": [], "metadata": { "test": true, "priority": "high", "updated_field": "new_value" }, "opt_out_sensitive_data_storage": false } } }
Updates a call by ID (current behavior).
PUT
API Key for MCP server and external service authentication
API Secret for MCP server and external service authentication
Call update request body
Call status
Call direction
Source phone number
Metadata updates (merged)
Call updated successfully